<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('customers', function (Blueprint $table) {
            $table->id();
            $table->string("code",255)->nullable();
            $table->string("account_code",255)->nullable();
            $table->string("customer_code",255)->nullable();
            $table->string("name",255)->nullable();
            $table->string("contact_person",255)->nullable();
            $table->string("contact1",255)->nullable();
            $table->string("contact2",255)->nullable();
            $table->string("email",255)->nullable();
            $table->string("address",255)->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('customers');
    }
};